org.apache.cayenne.rop

## Class HessianROPSerializationService

- java.lang.Object
- - org.apache.cayenne.rop.HessianROPSerializationService

- All Implemented Interfaces:
    ROPSerializationService

      public class HessianROPSerializationService
      extends Object
      implements ROPSerializationService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.caucho.hessian.io.SerializerFactory` | `serializerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HessianROPSerializationService(com.caucho.hessian.io.SerializerFactory serializerFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `deserialize(byte[] serializedObject, Class<T> objectClass)`
    `<T> T` | `deserialize(InputStream input, Class<T> objectClass)`
    `byte[]` | `serialize(Object object)`
    `void` | `serialize(Object object, OutputStream outputStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializerFactory

          protected com.caucho.hessian.io.SerializerFactory serializerFactory

  - ### Constructor Detail

    - #### HessianROPSerializationService

          public HessianROPSerializationService(com.caucho.hessian.io.SerializerFactory serializerFactory)

  - ### Method Detail

    - #### serialize

          public byte[] serialize(Object object)
                           throws IOException

      Specified by:
        `serialize` in interface `ROPSerializationService`
      Throws:
        `IOException`

    - #### serialize

          public void serialize(Object object,
                                OutputStream outputStream)
                         throws IOException

      Specified by:
        `serialize` in interface `ROPSerializationService`
      Throws:
        `IOException`

    - #### deserialize

          public <T> T deserialize(byte[] serializedObject,
                                   Class<T> objectClass)
                            throws IOException

      Specified by:
        `deserialize` in interface `ROPSerializationService`
      Throws:
        `IOException`

    - #### deserialize

          public <T> T deserialize(InputStream input,
                                   Class<T> objectClass)
                            throws IOException

      Specified by:
        `deserialize` in interface `ROPSerializationService`
      Throws:
        `IOException`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.